Topic: How to enable the repositories on SME Server (CentOS based)

I am running SME Server Beta6 which is based on CentOS 5.5.  I would like to install MySQL 5.1 or later and I know that MySQL 5.5 is available in the remi repository.  I have already successfully installed MySQL 5.5 in my CentOS 5.6 from a remi repository.  See the discussion here at the CentOS forum:

https://www.centos.org/modules/newbb/vi … p;forum=41

But now I'd like to try installing this same version of MySQL on my SME Server.  More information on this distribution may be found here:

http://wiki.contribs.org/Main_Page

The Yum repositories are a little different in SME, here is the SME Wiki on it:

http://wiki.contribs.org/SME_Server:Doc … positories

I've tried using the same procedure that works on CentOS 5.6 and it doesn't appear to work.  Any help in trying to get things going in SME would be appreciated.

Re: How to enable the repositories on SME Server (CentOS based)

...and it doesn't appear to work...

Without more information, I can't help.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: How to enable the repositories on SME Server (CentOS based)

OK, here is what I tried in SME Server:

I logged in at the command line as root and then ran the following commands,

cd /etc/yum.repos.d
wget http://rpms.famillecollet.com/enterprise/remi.repo

I then tried

yum --ebablerepo=remi

And I get an error,

Error getting repository data for remi, repository not found

But this worked in CentOS 5.6.  For some reason, SME Server does not look in this location for repositories.  Installing repositories in SME Server works something like this,

/sbin/e-smith/db yum_repositories set dag repository \
Name 'Dag - EL4' \
BaseURL 'http://apt.sw.be/redhat/el4/en/$basearch/dag' \
EnableGroups no \
GPGCheck yes \
GPGKey http://dag.wieers.com/packages/RPM-GPG-KEY.dag.txt \
Visible no \
Exclude freetype,htop,iptraf,rsync,syslinux \
status disabled

You can just copy and paste this into the command line window and you get your repository.

Re: How to enable the repositories on SME Server (CentOS based)

So try

/sbin/e-smith/db yum_repositories set remi repository \
Name 'Remi - EL5' \
BaseURL 'http://rpms.famillecollet.com/enterprise/5/remi/$basearch/' \
EnableGroups no \
GPGCheck yes \
GPGKey http://rpms.famillecollet.com/RPM-GPG-KEY-remi \
Visible no \
status disabled

But I can't ever say, what this command is going to change, and if it will be working...

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: How to enable the repositories on SME Server (CentOS based)

I think I see now that $basearch represents the processor type.  I ran this bit of code and if I run "/sbin/e-smith/audittools/repositories", then remi is showing up as a repository.  So as far as SME is concerned, this worked and remi is now a repository.

There are a few things I don't understand.  What is the role of "update" in these repositories?  Is this a routine update of all the software that is installed in SME?  And if I enable remi, than does SME update using remi along with the other repositories?  I have seen a piece of yum software that is supposed to manage "priorities", but it is hard to see exactly what "priorities" means.  I think I see that if you want to install some special piece of software, then you want to keep track of updates too and this is where yum handles that.

All I want to do is install MySQL 5.1 or later using yum.  Am I going about this the right way?

Re: How to enable the repositories on SME Server (CentOS based)

remi repo should be disabled by default.

So you just have to enable it to update the wanting package.

But I don't know SME to help you more...

try

yum --enablerepo=remi update mysql\*
Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: How to enable the repositories on SME Server (CentOS based)

Now if I use,

yum info mysql --enablerepo=remi

then I find MySQL 5.5 available.

Re: How to enable the repositories on SME Server (CentOS based)

So ?
it seems ok.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: How to enable the repositories on SME Server (CentOS based)

Remi wrote:

remi repo should be disabled by default.

So you just have to enable it to update the wanting package.

But I don't know SME to help you more...

try

yum --enablerepo=remi update mysql\*

OK, I'm going to try that, but I'm worried about damaging SME with an update, so I'm going to think about this a little and I'll get back to you with the results.  What is the purpose of '\*'?  Is that an escaped wild card in order to update everything with "mysql" in it?

Re: How to enable the repositories on SME Server (CentOS based)

> Is that an escaped wild card in order to update everything with "mysql" in it?
Yes.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: How to enable the repositories on SME Server (CentOS based)

Remi wrote:

remi repo should be disabled by default.

So you just have to enable it to update the wanting package.

But I don't know SME to help you more...

try

yum --enablerepo=remi update mysql\*

If I have problems with this update, how do I return to the old version?  Could I just run

yum update mysql\*

or, maybe,

yum reinstall mysql\*

In both cases, I omit --enablerepo=remi and I would hope that it uses the old repository.

Re: How to enable the repositories on SME Server (CentOS based)

The command is "yum downgrade ..."

But, in fact, it should probably be run under yum-shell to downgrade mysql and remove the compatibility library installed during the update.

Something like

# yum shell
> remove mysqlclient14
> downgrade mysql mysql-server
> run

You also need to restore a full backup of your database.
Upgrade is handled by mysq_upgrade command, downgrade is not handled.

You probably need to test the update on a test environment.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: How to enable the repositories on SME Server (CentOS based)

OK, I went ahead and ran

yum --enablerepo=remi update mysql\*

and here is what I got back,

==============================================================
WARNING: Additional commands may be required after running yum
==============================================================
Loaded plugins: fastestmirror, protect-packages, smeserver
Loading mirror speeds from cached hostfile
 * smeaddons: smeserver.mirror.garr.it
 * smeextras: smeserver.mirror.garr.it
 * smeupdates-testing: smeserver.mirror.garr.it
 * smeos: smeserver.mirror.garr.it
 * smeupdates: smeserver.mirror.garr.it
smeaddons                                                | 1.9 kB     00:00
smeextras                                                | 1.9 kB     00:00
remi                                                     | 2.5 kB     00:00
smeupdates-testing                                       | 1.9 kB     00:00
smeos                                                    | 2.1 kB     00:00
smeupdates                                               | 1.9 kB     00:00
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package mysql.i386 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: mysql-libs = 5.5.13-1.el5.remi for package: mysql
---> Package mysql-server.i386 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.4) for package: mysql-server
--> Processing Dependency: libaio.so.1 for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.1) for package: mysql-server
--> Processing Dependency: libmysqlclient.so.15 for package: perl-DBD-MySQL
--> Processing Dependency: libmysqlclient.so.15 for package: dovecot
--> Processing Dependency: libmysqlclient.so.15 for package: php-mysql
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: perl-DBD-MySQL
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: dovecot
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: php-mysql
--> Running transaction check
---> Package mysql-server.i386 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.4) for package: mysql-server
--> Processing Dependency: libaio.so.1 for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.1) for package: mysql-server
---> Package perl-DBD-MySQL.i386 0:4.014-1.el5.rfx set to be updated
---> Package mysql-libs.i386 0:5.5.13-1.el5.remi set to be updated
---> Package php-mysql.i386 0:5.3.6-4.el5.remi set to be updated
--> Processing Dependency: php-pdo = 5.3.6-4.el5.remi for package: php-mysql
---> Package mysqlclient15.i386 0:5.0.67-1.el5.remi set to be updated
--> Running transaction check
---> Package mysql-server.i386 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.4) for package: mysql-server
--> Processing Dependency: libaio.so.1 for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.1) for package: mysql-server
---> Package php-pdo.i386 0:5.3.6-4.el5.remi set to be updated
--> Processing Dependency: php-common = 5.3.6-4.el5.remi for package: php-pdo
--> Running transaction check
---> Package mysql-server.i386 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.4) for package: mysql-server
--> Processing Dependency: libaio.so.1 for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.1) for package: mysql-server
---> Package php-common.i386 0:5.3.6-4.el5.remi set to be updated
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-xml
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-gd
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-mbstring
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-ldap
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-imap
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-cli
--> Running transaction check
---> Package mysql-server.i386 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.4) for package: mysql-server
--> Processing Dependency: libaio.so.1 for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.1) for package: mysql-server
---> Package php-gd.i386 0:5.3.6-4.el5.remi set to be updated
--> Processing Dependency: libt1.so.5 for package: php-gd
---> Package php-mbstring.i386 0:5.3.6-4.el5.remi set to be updated
---> Package php-xml.i386 0:5.3.6-4.el5.remi set to be updated
---> Package php-ldap.i386 0:5.3.6-4.el5.remi set to be updated
---> Package php-cli.i386 0:5.3.6-4.el5.remi set to be updated
--> Processing Dependency: libedit.so.0 for package: php-cli
---> Package php.i386 0:5.3.6-4.el5.remi set to be updated
---> Package php-imap.i386 0:5.3.6-4.el5.remi set to be updated
--> Finished Dependency Resolution
mysql-server-5.5.13-1.el5.remi.i386 from remi has depsolving problems
  --> Missing Dependency: libaio.so.1(LIBAIO_0.4) is needed by package mysql-server-5.5.13-1.el5.remi.i386 (remi)
php-cli-5.3.6-4.el5.remi.i386 from remi has depsolving problems
  --> Missing Dependency: libedit.so.0 is needed by package php-cli-5.3.6-4.el5.remi.i386 (remi)
mysql-server-5.5.13-1.el5.remi.i386 from remi has depsolving problems
  --> Missing Dependency: libaio.so.1(LIBAIO_0.1) is needed by package mysql-server-5.5.13-1.el5.remi.i386 (remi)
mysql-server-5.5.13-1.el5.remi.i386 from remi has depsolving problems
  --> Missing Dependency: libaio.so.1 is needed by package mysql-server-5.5.13-1.el5.remi.i386 (remi)
php-gd-5.3.6-4.el5.remi.i386 from remi has depsolving problems
  --> Missing Dependency: libt1.so.5 is needed by package php-gd-5.3.6-4.el5.remi.i386 (remi)
Error: Missing Dependency: libedit.so.0 is needed by package php-cli-5.3.6-4.el5.remi.i386 (remi)
Error: Missing Dependency: libaio.so.1(LIBAIO_0.1) is needed by package mysql-server-5.5.13-1.el5.remi.i386 (remi)
Error: Missing Dependency: libaio.so.1 is needed by package mysql-server-5.5.13-1.el5.remi.i386 (remi)
Error: Missing Dependency: libt1.so.5 is needed by package php-gd-5.3.6-4.el5.remi.i386 (remi)
Error: Missing Dependency: libaio.so.1(LIBAIO_0.4) is needed by package mysql-server-5.5.13-1.el5.remi.i386 (remi)
================================================================
No new rpms were installed. No additional commands are required.
================================================================

So I think I am missing a repository.  Is it EPL?  I have some CentOS repositories installed.  Here is a list of my repositories:

[xxxxx@xxxxxx yum.repos.d]# /sbin/e-smith/audittools/repositories
addons: disabled
base: disabled
centosplus: disabled
contrib: disabled
dag: disabled
epel: disabled
extras: disabled
remi: disabled
smeaddons: enabled
smecontribs: disabled
smedev: disabled
smeextras: enabled
smeos: enabled
smetest: disabled
smeupdates: enabled
smeupdates-testing: enabled
updates: disabled

Can I enable more than one repository at a time, like "--enablerepo=repo0, repo1, repo2, ..."?  Which ones should they be?

Re: How to enable the repositories on SME Server (CentOS based)

I am having some other update issues with this Beta version of SME server.  I am investigating these now.

Re: How to enable the repositories on SME Server (CentOS based)

yes, you need EPEL.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

16 (edited by pkskyRemi 2011-06-04 16:43:45)

Re: How to enable the repositories on SME Server (CentOS based)

OK, I am trying to enable epel at the same time as remi, as follows:

[xx@xx ~]# yum --enablerepo=epel,remi update mysql\*
==============================================================
WARNING: Additional commands may be required after running yum
==============================================================
Loaded plugins: fastestmirror, protect-packages, smeserver
Loading mirror speeds from cached hostfile
 * epel: mirrors.solfo.com
 * smeaddons: distro.ibiblio.org
 * smeextras: distro.ibiblio.org
 * base: mirrors.usc.edu
 * updates: centos.mirror.facebook.net
 * smeos: distro.ibiblio.org
 * smeupdates: distro.ibiblio.org
Excluding Packages from CentOS - os
Finished
Excluding Packages from CentOS - updates
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package mysql-server.i386 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: mysql-libs = 5.5.13-1.el5.remi for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4) for package: mysql-server
--> Processing Dependency: libaio.so.1 for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.1) for package: mysql-server
---> Package mysql.i386 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libmysqlclient.so.15 for package: perl-DBD-MySQL
--> Processing Dependency: libmysqlclient.so.15 for package: dovecot
--> Processing Dependency: libmysqlclient.so.15 for package: php-mysql
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: perl-DBD-MySQL
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: dovecot
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: php-mysql
--> Running transaction check
---> Package php-mysql.i386 0:5.3.6-4.el5.remi set to be updated
--> Processing Dependency: php-pdo = 5.3.6-4.el5.remi for package: php-mysql
---> Package libaio.i386 0:0.3.106-5 set to be updated
---> Package mysqlclient15.i386 0:5.0.67-1.el5.remi set to be updated
---> Package mysql-libs.i386 0:5.5.13-1.el5.remi set to be updated
--> Running transaction check
---> Package php-pdo.i386 0:5.3.6-4.el5.remi set to be updated
--> Processing Dependency: php-common = 5.3.6-4.el5.remi for package: php-pdo
--> Running transaction check
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-xml
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-gd
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-mbstring
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-ldap
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-imap
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php-cli
---> Package php-common.i386 0:5.3.6-4.el5.remi set to be updated
--> Running transaction check
---> Package php.i386 0:5.3.6-4.el5.remi set to be updated
---> Package php-xml.i386 0:5.3.6-4.el5.remi set to be updated
---> Package php-mbstring.i386 0:5.3.6-4.el5.remi set to be updated
---> Package php-imap.i386 0:5.3.6-4.el5.remi set to be updated
---> Package php-gd.i386 0:5.3.6-4.el5.remi set to be updated
--> Processing Dependency: libt1.so.5 for package: php-gd
---> Package php-ldap.i386 0:5.3.6-4.el5.remi set to be updated
---> Package php-cli.i386 0:5.3.6-4.el5.remi set to be updated
--> Processing Dependency: libedit.so.0 for package: php-cli
--> Finished Dependency Resolution
php-cli-5.3.6-4.el5.remi.i386 from remi has depsolving problems
  --> Missing Dependency: libedit.so.0 is needed by package php-cli-5.3.6-4.el5.remi.i386 (remi)
php-gd-5.3.6-4.el5.remi.i386 from remi has depsolving problems
  --> Missing Dependency: libt1.so.5 is needed by package php-gd-5.3.6-4.el5.remi.i386 (remi)
Error: Missing Dependency: libedit.so.0 is needed by package php-cli-5.3.6-4.el5.remi.i386 (remi)
Error: Missing Dependency: libt1.so.5 is needed by package php-gd-5.3.6-4.el5.remi.i386 (remi)
================================================================
No new rpms were installed. No additional commands are required.
================================================================
[xx@xx ~]#

I'm still getting missing depedencies.

Re: How to enable the repositories on SME Server (CentOS based)

libedit and t1lib are both available in EPEL, which is the only additionnal repository required by package in remi...

Seems there is something special with SME...

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: How to enable the repositories on SME Server (CentOS based)

I tried adding another repository manually,

/sbin/e-smith/db yum_repositories set epel2 repository \
Name 'EPEL Manual' \
BaseURL 'http://download.fedora.redhat.com/pub/epel/5/$basearch' \
EnableGroups no \
GPGCheck yes \
GPGKey http://download.fedora.redhat.com/pub/epel/RPM-GPG-KEY-EPEL \
Visible no \
status disabled

And then,

yum --enablerepo=epel2,remi update mysql\*

But I got the same dependency errors.

Why would SME function differently with the same repositories?  What would I risk running,

yum --skip-broken --enablerepo=epel,remi update mysql\*

Re: How to enable the repositories on SME Server (CentOS based)

what is the result of

yum  --enablerepo=epel2  list  libedit t1lib
Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: How to enable the repositories on SME Server (CentOS based)

It's very strange, I get:

[xx@xx ~]# yum  --enablerepo=epel2  list  libedit t1lib
Loaded plugins: fastestmirror, protect-packages, smeserver


Error getting repository data for epel2, repository not found
[xx@xx ~]#

If I look up the repositories, I get:

[xx@xx ~]# /sbin/e-smith/audittools/repositories
addons: disabled
base: enabled
centosplus: disabled
contrib: disabled
epel: disabled
epel2: disabled
extras: disabled
remi: disabled
smeaddons: enabled
smecontribs: disabled
smedev: disabled
smeextras: enabled
smeos: enabled
smetest: disabled
smeupdates: enabled
smeupdates-testing: enabled
updates: enabled
[xx@xx ~]#

It was put in, I assume, but is not being used somehow.

Re: How to enable the repositories on SME Server (CentOS based)

Well, download the rpm and install it using the simple rpm command.

SME is definitively not CentOS.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: How to enable the repositories on SME Server (CentOS based)

I tried installing manually using the clues I found here:

http://dev.antoinesolutions.com/epel-repository

And so I used:

[root@finch Temp]# wget -nH --cut-dirs=4 --directory-prefix=. ./ http://mirrors.servercentral.net/fedora/epel/5/i386/epel-release-5-4.noarch.rpm

Followed by:

rpm -Uvh epel-release-5*.rpm

But I still get,

[root@finch Temp]# yum  --enablerepo=epel  list  libedit t1lib
Loaded plugins: fastestmirror, protect-packages, smeserver
Loading mirror speeds from cached hostfile
 * base: centos-distro.cavecreek.net
 * epel: linux.mirrors.es.net
 * updates: mirror.hmc.edu
Excluding Packages from CentOS - os
Finished
Excluding Packages from CentOS - updates
Finished
Error: No matching Packages to list

But SME uses different repository locations.  It may not even be looking at the installed repository.  I'm having other repository issues that I am trying to solve with SME, but SME's site has been down for awhile now.

Re: How to enable the repositories on SME Server (CentOS based)

SOLVED as far as the repository issue is concerned.

SME requires you to apply,

signal-event yum-modify

after adding repositories.  I hadn't done this.  After I applied it, I ran,

yum --enablerepo=epel2,remi update mysql\*

and to all appearances, I got my upgrade.

But now, I find that this upgrade is not compatible with me SME 8.0 beta6 edition and I have uninstall it.

As far as remi and repositories is concerned, I have no other problems.  The repository works and I got my upgrade.

Thanks for the assistance Remi, if anyone has any clues on how to downgrade the package in SME, be sure to post something.

Re: How to enable the repositories on SME Server (CentOS based)

I am back again trying to install MySQL 5.5 in SME server.

I am trying to apply what I learned up above here and use these code bits, copied and pasted into PuTTY:

/sbin/e-smith/db yum_repositories set remi repository \
Name 'Remi - EL5' \
BaseURL 'http://rpms.famillecollet.com/enterprise/5/remi/$basearch/' \
EnableGroups no \
GPGCheck yes \
GPGKey http://rpms.famillecollet.com/RPM-GPG-KEY-remi \
Visible no \
status disabled

/sbin/e-smith/db yum_repositories set epel2 repository \
Name 'EPEL Manual' \
BaseURL 'http://download.fedora.redhat.com/pub/epel/5/$basearch' \
EnableGroups no \
GPGCheck yes \
GPGKey http://download.fedora.redhat.com/pub/epel/RPM-GPG-KEY-EPEL \
Visible no \
status disabled

yum --enablerepo=epel2,remi update mysql\*

But I am getting errors because the EPEL site cannot be reached

[xxxx@xxx ~]# yum --enablerepo=epel2,remi update mysql\*
Loaded plugins: fastestmirror, smeserver
Loading mirror speeds from cached hostfile
 * base: centos.mirrors.hoobly.com
 * smeaddons: mirror.absolutnet.de
 * smeextras: mirror.absolutnet.de
 * smeos: mirror.absolutnet.de
 * smeupdates: mirror.absolutnet.de
 * updates: mirror.nexcess.net
http://download.fedora.redhat.com/pub/epel/5/i386/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'download.fedora.redhat.com'"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: epel2. Please verify its path and try again
[xxxx@xxx ~]#

Is there an alternative site?

Re: How to enable the repositories on SME Server (CentOS based)

The link to epel has changed.  And also you have to run 'signal-even yum modify'.  The code to set the epel2 repository should be,

/sbin/e-smith/db yum_repositories set epel2 repository \
Name 'EPEL Manual' \
BaseURL 'http://dl.fedoraproject.org/pub/epel/5/$basearch' \
EnableGroups no \
GPGCheck yes \
GPGKey http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL \
Visible no \
status disabled

So the whole process is,

/sbin/e-smith/db yum_repositories set epel2 repository \
Name 'EPEL Manual' \
BaseURL 'http://dl.fedoraproject.org/pub/epel/5/$basearch' \
EnableGroups no \
GPGCheck yes \
GPGKey http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL \
Visible no \
status disabled

/sbin/e-smith/db yum_repositories set remi repository \
Name 'Remi - EL5' \
BaseURL 'http://rpms.famillecollet.com/enterprise/5/remi/$basearch/' \
EnableGroups no \
GPGCheck yes \
GPGKey http://rpms.famillecollet.com/RPM-GPG-KEY-remi \
Visible no \
status disabled

signal-event yum-modify

yum --enablerepo=epel2,remi update mysql\*